{% extends "admin/list/base_list_custom_batch.html.twig" %}
{% trans_default_domain 'admin' %}

{% block stylesheets %}
  {{ parent() }}
  <style type="text/css">
      @media (max-width:767px) {
        .select2-drop {
          left: 16px !important;
          right: 16px !important;
          width: unset !important;
        }
      }
      @media (min-width:768px) {
        body:not(.modal-open) .select2-result {
          max-width: 50vw !important;
        }
        body.modal-open .select2-result {
          max-width: 530px !important;
        }
      }
      @media (min-width:992px) {
        body.modal-open .select2-result {
          max-width: 830px !important;
        }
      }
  </style>
{% endblock %}

{% block navbar_title %}
  {% if admin.user.watchModerationOnlyWithPostCodes %}
    <div style="font-size: 14px">
      {{ 'elements.list.onlyPostCodes'|trans({codes: admin.user.watchModerationOnlyWithPostCodes }) }}
    </div>
  {% endif %}
{% endblock %}

{% block notice %}
  {% include '@SonataCore/FlashMessage/render.html.twig' %}

  <form action="{{ path('gogo_elements_list_columns') }}" method="POST">
    <div class="input-group input-group-sm" style="display: flex; align-items: center; padding: 10px;">
      <span class="input-group-addon">{{ 'elements.list.columns'|trans }}</span>
      <select class="select2" multiple="true" name="fields[]"
              style="flex: 1 auto; width: auto !important;">
        {% for column in admin.availableColumns %}
          <option {% if column in admin.selectedColumns %}selected{% endif %}>{{ column }}</option>
        {% endfor %}
      </select>
      <button type="submit" class="btn-sm btn btn-primary">{{ 'elements.list.apply'|trans }}</button>
    </div>
  </form>
{% endblock %}

{% block list_footer %}
    {% if admin.datagrid.results|length > 0 %}
        <div class="box-footer">
            <div class="form-inline clearfix">
                {% if not app.request.isXmlHttpRequest %}
                    <div class="pull-left">
                        {% if admin.hasRoute('batch') and batchactions|length > 0 %}
                            {% block batch %}
                            {{ parent() }}
                            {% endblock %}
                        {% endif %}
                    </div>


                    {# NEXT_MAJOR : remove this assignment #}
                    {% set export_formats = export_formats|default(admin.exportFormats) %}

                    <div class="pull-right">
                        {% if admin.hasRoute('export') and admin.hasAccess('export') and export_formats|length %}


                            {# ConfigurationExport #}
                            <script>
                            let configExportApp = {
                              init: () => {
                                configExportApp.selectConfigurationExport();
                              },
                              selectConfigurationExport: () => {
                                const configurationExport = document.querySelector('#configurationExport');
                                if (configurationExport.value) {
                                    document.querySelectorAll('.pull-right .btn-group ul li a').forEach(e => {
                                        e.href = e.href.split('&configurationExport')[0]
                                        + "&configurationExport=" + configurationExport.value;
                                    })
                                }
                              }
                            }
                            document.addEventListener('DOMContentLoaded', configExportApp.init);
                            </script>
                            {% if helper.configurationExport|length > 0 %}
                                <label class"control-label">{{ 'config_exports._label'|trans }} :</label>
                                <select name="configurationExport" id="configurationExport" style="width: auto; height: auto" class="form-control" onchange="javascript:configExportApp.selectConfigurationExport()">
                                    {% for item in helper.configurationExport %}
                                        <option value="{{ item.id }}">{{ item.name }}</option>
                                    {% endfor %}
                                </select>
                            {% endif %}
                            {# End - ConfigurationExport #}


                            <div class="btn-group">
                                <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                                    <i class="fa fa-share-square-o" aria-hidden="true"></i>
                                    {{ "label_export_download"|trans({}, "SonataAdminBundle") }}
                                    <span class="caret"></span>
                                </button>
                                <ul class="dropdown-menu">
                                    {% for format in export_formats %}
                                    <li>
                                        <a href="{{ admin.generateUrl('export', admin.modelmanager.paginationparameters(admin.datagrid, 0) + {'format' : format}) }}">
                                            <i class="fa fa-arrow-circle-o-down" aria-hidden="true"></i>
                                            {{ ("export_format_" ~ format)|trans({}, 'SonataAdminBundle') }}
                                        </a>
                                    </li>
                                    {% endfor %}
                                </ul>
                            </div>
                            &nbsp;-&nbsp;
                        {% endif %}

                        {% block pager_results %}
                        {{ parent() }}
                        {% endblock %}
                    </div>
                {% endif %}
            </div>

            {% block pager_links %}
            {{ parent() }}
            {% endblock %}
        </div>
    {% endif %}
{% endblock %}
            
